Bug 1868290

Summary: Review Request: f33-backgrounds - Fedora 33 default desktop background
Product: [Fedora] Fedora Reporter: Luya Tshimbalanga <luya_tfz>
Component: Package ReviewAssignee: Neal Gompa <ngompa13>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: awilliam, bcotton, decathorpe, ngompa13, package-review, rdieter
Target Milestone: ---Flags: ngompa13: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-08-20 02:01:34 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1852019, 1869892    

Description Luya Tshimbalanga 2020-08-12 08:38:54 UTC
Spec URL: https://download.copr.fedorainfracloud.org/results/luya/fxx-backgrounds/fedora-rawhide-s390x/01606647-f33-backgrounds/f33-backgrounds.spec
SRPM URL: https://download.copr.fedorainfracloud.org/results/luya/fxx-backgrounds/fedora-rawhide-s390x/01606647-f33-backgrounds/f33-backgrounds-33.0.0-1.fc33.src.rpm
Description: This package contains desktop backgrounds for the Fedora 33 default
theme.  Pulls in themes for GNOME, KDE, Mate and Xfce desktops.
Fedora Account System Username: luya

Comment 1 Fabio Valentini 2020-08-12 20:16:12 UTC
Not offering a formal review (yet), but I see two issues:

- the Source0 tarball does not exist outside of the SRPM you uploaded, the Source0 URL is 404
- the upstream repo knows nothing about 33.x releases yet
- are the images themselves placeholders?

Comment 2 Luya Tshimbalanga 2020-08-13 04:01:12 UTC
Wearing upstream hat, Source0 should be fixed as I uploaded the tarball in question (https://github.com/fedoradesign/backgrounds/releases/tag/v33.0.0).
The images are placeholder until Design Team readies the actual beta default wallpapers.

Comment 5 Neal Gompa 2020-08-19 20:19:38 UTC
Taking this review.

Comment 6 Neal Gompa 2020-08-19 20:52:57 UTC
Review notes:

* Package (mostly) follows packaging guidelines
  -> naming is odd, but follows every other official backgrounds package...
* Package builds and installs properly
* Licensing is correctly marked and license files included

APPROVED.

Comment 7 Luya Tshimbalanga 2020-08-19 23:59:54 UTC
Thank you Neal for the review. Request to obtain repositories submitted

fedpkg request-repo f33-backgrounds 1868290
https://pagure.io/releng/fedora-scm-requests/issue/27660

fedpkg request-branch --repo f33-backgrounds f33
https://pagure.io/releng/fedora-scm-requests/issue/27661

Comment 8 Gwyn Ciesla 2020-08-20 00:00:45 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/f33-backgrounds

Comment 9 Luya Tshimbalanga 2020-08-20 02:01:34 UTC
Thank you for making f33-backgrounds available to the repository:
https://bodhi.fedoraproject.org/updates/FEDORA-2020-4fb2da2d68

Closing this review.

Comment 10 Rex Dieter 2020-08-28 13:38:34 UTC
I've complained for the past several releases, and I'll do it again here.

Why does the beta-blocking backgrounds have to land so close the beta release and at the last minute?  This seems to happen every release, and I end up having to drop everything to fix the "emergency/blocker" issue of adapting kde spin to use the new backgrounds, with little notice.

Am I missing something?  Why can't new backgrounds be adopted very early in the development process, even before alpha?  Please consider doing something like that moving forward, to help minimize workload/stress on other contributors.  Thanks.

I'd go so far as to humbly suggest that the landing of the new fedora backgrounds package (just package availability, not necessarily be used yet) should be an alpha blocker in an attempt to enforce that idea.

Comment 11 Neal Gompa 2020-08-28 14:07:52 UTC
(In reply to Rex Dieter from comment #10)
> I've complained for the past several releases, and I'll do it again here.
> 
> Why does the beta-blocking backgrounds have to land so close the beta
> release and at the last minute?  This seems to happen every release, and I
> end up having to drop everything to fix the "emergency/blocker" issue of
> adapting kde spin to use the new backgrounds, with little notice.
> 
> Am I missing something?  Why can't new backgrounds be adopted very early in
> the development process, even before alpha?  Please consider doing something
> like that moving forward, to help minimize workload/stress on other
> contributors.  Thanks.
> 
> I'd go so far as to humbly suggest that the landing of the new fedora
> backgrounds package (just package availability, not necessarily be used yet)
> should be an alpha blocker in an attempt to enforce that idea.

This will be changing for the F34 cycle. The Artwork team will begin creating the new backgrounds for Fedora 34 within the next couple of weeks, with the idea that the f34-backgrounds package will be in Rawhide by the end of the year.

Comment 12 Adam Williamson 2020-08-28 16:12:58 UTC
Rex: that seems kind of unfair. This didn't come "at the last minute". The review was submitted 16 days ago, on August 12. That's 13 days before Beta freeze and nearly a month before the first Beta go/no-go date. f33-backgrounds and the matching desktop-backgrounds update went stable on August 20th, over a week ago; KDE could have been updated together with those or at any time since, and I've been pinging you the whole week, but this is the first time you responded.

This would be considerably easier to manage if getting a new background to show up in KDE didn't require a new upstream *and* downstream release of kde-settings every single release. A provenpackager could at least handle things downstream if necessary, but only a handful of people appear to be able to commit to the upstream. No other desktop is set up this way; to ensure the new backgrounds show up in other desktops, we only have to update desktop-backgrounds. KDE is the outlier here.